local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Chronometer", "Chronometer")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "ChronometerShakedown"

function Addon:Start()
    
    -- show the anchor
    Chronometer.anchor:Show()
    
    -- start a test now
    Chronometer:RunTest()
    
    -- reschedule more tests at intervals
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, Chronometer.RunTest, Chronometer)
end

function Addon:Stop()
    
    -- stop scheduling tests
    self:RemoveTimer(TIMER_ID)

    -- hide the anchor
    Chronometer.anchor:Hide()
end