local revision = tonumber(("$Revision: 63301 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-03-01 09:54:06 -0500 (Sat, 01 Mar 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Hourglass2", "Hourglass2")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "Hourglass2Shakedown"

function Addon:Start()
    
    -- show the anchor
    Hourglass:ToggleAnchor(true)
    
    -- show bars now
    Hourglass:TestBars()
    
    -- schedule more bars later
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, Hourglass.TestBars, Hourglass)
end

function Addon:Stop()

    -- hide the anchor
    Hourglass:ToggleAnchor(false)
    
    -- don't schedule any more bars
    self:RemoveTimer(TIMER_ID)
end